> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailofly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Webhook

> Retrieve webhook details and event subscriptions.

Fetches configuration and status for a webhook.

### Path Parameters

<ParamField path="id" type="string" required>
  The unique identifier of the webhook.
</ParamField>

### Response

<ResponseField name="data" type="object">
  <ResponseField name="id" type="string">Webhook ID.</ResponseField>
  <ResponseField name="name" type="string">Webhook name.</ResponseField>
  <ResponseField name="url" type="string">Target endpoint URL.</ResponseField>
  <ResponseField name="secret_suffix" type="string">Secret token suffix.</ResponseField>
  <ResponseField name="events" type="array">Subscribed events list.</ResponseField>
  <ResponseField name="enabled" type="boolean">Active status.</ResponseField>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET https://api.mailofly.com/api/v1/webhooks/wh_123 \
    -H "Authorization: Bearer mf_live_your_api_key"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "data": {
      "id": "wh_123",
      "name": "Production Webhook",
      "url": "https://api.example.com/webhooks",
      "secret_suffix": "9aBc",
      "events": ["email.delivered", "email.bounced"],
      "enabled": true
    }
  }
  ```
</ResponseExample>


## Related topics

- [Retrieve Event](/api/webhooks/retrieve-event.md)
- [List Events](/api/webhooks/list-events.md)
- [Delete Webhook](/api/webhooks/delete-webhook.md)
- [List Webhooks](/api/webhooks/list-webhooks.md)
- [Create Webhook](/api/webhooks/create-webhook.md)
